org.apache.olingo.odata2.jpa.processor.ref.model

## Class Material

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.Material

-     @Entity
      public class Material
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Material()`
    `Material(String materialName, char[] typeCode, double price, String measurementUnit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Category` | `getCategory()`
    `long` | `getMaterialId()`
    `Blob` | `getMaterialImage()`
    `String` | `getMaterialName()`
    `String` | `getMeasurementUnit()`
    `Double` | `getPrice()`
    `List<Store>` | `getStores()`
    `void` | `setCategory(Category category)`
    `void` | `setMaterialId(long materialId)`
    `void` | `setMaterialImage(Blob materialImage)`
    `void` | `setMaterialName(String materialName)`
    `void` | `setMeasurementUnit(String measurementUnit)`
    `void` | `setPrice(Double price)`
    `void` | `setStores(List<Store> stores)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Material

          public Material()

    - #### Material

          public Material(String materialName,
                          char[] typeCode,
                          double price,
                          String measurementUnit)

  - ### Method Detail

    - #### getMaterialImage

          public Blob getMaterialImage()

    - #### setMaterialImage

          public void setMaterialImage(Blob materialImage)

    - #### getMaterialId

          public long getMaterialId()

    - #### setMaterialId

          public void setMaterialId(long materialId)

    - #### getCategory

          public Category getCategory()

    - #### setCategory

          public void setCategory(Category category)

    - #### getMaterialName

          public String getMaterialName()

    - #### setMaterialName

          public void setMaterialName(String materialName)

    - #### getPrice

          public Double getPrice()

    - #### setPrice

          public void setPrice(Double price)

    - #### getMeasurementUnit

          public String getMeasurementUnit()

    - #### setMeasurementUnit

          public void setMeasurementUnit(String measurementUnit)

    - #### getStores

          public List<Store> getStores()

    - #### setStores

          public void setStores(List<Store> stores)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.